SDL_GetAndroidExternalStoragePath(3)

NAME
SDL_GetAndroidExternalStoragePath - Get the path used for external storage for this Android application.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetAndroidExternalStoragePath(void);

DESCRIPTION
This path is unique to your application, but is public and can be written to by other applications.

Your external storage path is typically: /storage/sdcard0/Android/data/your.app.package/files .

This is a C wrapper over android.content.Context.getExternalFilesDir() :

https://developer.android.com/reference/android/content/Context#getExternalFilesDir()

RETURN VALUE
Returns the path used for external storage for this application on success or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetAndroidExternalStorageState(3), •(3), SDL_GetAndroidInternalStoragePath(3), •(3), SDL_GetAndroidCachePath(3)